GDB (xrefs)

Public Attributes | List of all members
extension_language_script_ops Struct Reference

`#include "extension-priv.h"`

## Public Attributes
script_sourcer_func * | script_sourcer
objfile_script_sourcer_func * | objfile_script_sourcer
objfile_script_executor_func * | objfile_script_executor
int(* | auto_load_enabled )(const struct extension_language_defn *)

## Detailed Description

Definition at line 96 of file extension-priv.h.

## Member Data Documentation

## ◆ auto_load_enabled

int(* extension_language_script_ops::auto_load_enabled) (const struct extension_language_defn *)

Definition at line 115 of file extension-priv.h.

Referenced by ext_lang_auto_load_enabled().

## ◆ objfile_script_executor

objfile_script_executor_func* extension_language_script_ops::objfile_script_executor

Definition at line 111 of file extension-priv.h.

Referenced by ext_lang_objfile_script_executor().

## ◆ objfile_script_sourcer

objfile_script_sourcer_func* extension_language_script_ops::objfile_script_sourcer

Definition at line 106 of file extension-priv.h.

Referenced by ext_lang_objfile_script_sourcer().

## ◆ script_sourcer

script_sourcer_func* extension_language_script_ops::script_sourcer

Definition at line 101 of file extension-priv.h.

Referenced by ext_lang_script_sourcer().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/extension-priv.h